<?php
   $target='guia';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/mensajeros.php"); 
   
   $nombrepagina = "REPORTE DE PENDIENTES";
   encabezado($target); 
   $user=$_SESSION['validar'];
   $filas=1;   
   if($filas == 1){ 
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
	 class obtiene{
		var $userObj;
		function obtener($suc){
			$this->userObj=new select_zonas();
			$tabla=$this->userObj->get_tabla($suc);
			$_SESSION['tabla_guia']=$tabla;
		}
	}
	$eliminaObj=new obtiene();
	$eliminaObj->obtener($_GET['suc']);
	$tabla=$_SESSION['tabla_guia'];
?><CENTER><?
$pla=$_SESSION['planilla'];
if($_POST['cantidad']>1){
echo '<table width="400" border="0"><tr><td align="center">';
echo '<a href="Pdf/planilladetallada.php?planilla='.$pla.'&tabla='.$tabla.'&f1='.$f1.'&f2='.$f2.'" target="_blank">Ver Guias Planilladas Detalle</a></td>';
echo '<td align="center"><a href="Pdf/planillaresumida.php?planilla='.$pla.'&tabla='.$tabla.'&f1='.$f1.'&f2='.$f2.'" target="_blank">Ver Guias Planilladas Resumen</a></td>';
echo '</tr></table>';
}?><script language="javascript" src="js/popcalendar.js"></script>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Seleccionar Sucursal ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">Sucursal:</td>
<td width="200" class="miTable_td">
<select name="id_suc" class="inputbox">
<?
get_sucursales($_GET['suc'],$_POST['mensajero']);
?>
</select>
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
<input type="hidden" name="orig" value="<? echo $_GET['suc'];?>" class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">Fecha Inicial:</td>
<td width="200" class="miTable_td">
<input type="text" name="f1" id="dates1" value="<? echo $f1?>" onClick="popUpCalendar(this, backup.dates1, 'yyyy-mm-dd');" class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">Fecha Final:</td>
<td width="200" class="miTable_td">
<input type="text" name="f2" id="dates2" value="<? echo $f2?>" onClick="popUpCalendar(this, backup.dates2, 'yyyy-mm-dd');" class="inputbox">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Crear Pendientes" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
if(isset($Registrar)){
	class crearSucursal{
		var $crearObj;
		var $conexionObj;
		var $estado;
		function validar($id_suc,$tabla,$f1,$f2,$orig){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			if (!empty($f1) and !empty($f2)){
				$f2=$fec_lim=sumaDia($f2,1);
				if($id_suc==$orig){
					$rst_select=$this->conexionObj->consultar("
					SELECT count(g.guia), s.nit, s.nombre 
					FROM $tabla as g 
					inner join rastreo_guias as r on (g.guia=r.guia)
					inner join ordenes as o on (g.orden=o.orden)
					inner join sucursales as s on (o.id_sucursal=s.id_sucursal)
					WHERE o.tp_digita=1 and 
					g.id_sucursal = '$id_suc' AND 
					id_estado = '13' AND
					r.F13>='$f1' AND r.F13<'$f2' GROUP BY g.id_sucursal");
				}else{
					$rst_select=$this->conexionObj->consultar("SELECT count(g.guia), s.nit, s.nombre 
					FROM $tabla as g 
					inner join rastreo_guias as r on (g.guia=r.guia)
					inner join ordenes as o on (g.orden=o.orden)
					inner join sucursales as s on (o.id_sucursal=s.id_sucursal)
					inner join manifiesto as m on (g.id_manifiesto=m.id_manifiesto)
					WHERE o.tp_digita=1 and 
					m.id_sucursal_orig = '1' and
					g.id_sucursal = '$id_suc' AND 
					id_estado = '13' AND
					r.F13>='$f1' AND r.F13<'$f2' GROUP BY g.id_sucursal");
				}
				echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
				<td class=miTable_th1><div align="center">
				..:: PENDIENTES ::..</div></td></tr>';
				$i=0;
				$cant_filas=mysql_num_rows($rst_select);
				if($cant_filas>=1){
					while ($tomar_planilla=mysql_fetch_array($rst_select)){
						$nombre=$tomar_planilla[2];
						$cc=$tomar_planilla[1];
						$cant_guias=$tomar_planilla[0];
						echo '<tr class=miTable_tr>
						<td class=miTable_td><div align="center">
						<b>NIT SUCURSAL: </b> '.$cc.'</div></td></tr>';
						echo '<tr class=miTable_tr>
						<td class=miTable_td><div align="center">
						<b>NOMBRE SUCURSAL: </b> '.$nombre.'</div></td></tr>';
						$i++;
						echo '<tr class=miTable_tr>';
						echo '<td class=miTable_td><div align="center">';
						unset($_SESSION['pend_total']);
					?>
						<a href="ver_pendiente_suc.php?id_user=<? echo $_GET['id_user'];?>&suc=<? echo $_GET['suc'];?>&id_suc=<? echo $id_suc;?>&tabla=<? echo $tabla;?>&nom_suc=<? echo $nombre;?>&f1=<? echo $f1;?>&f2=<? echo $f2;?>">Ver Pendientes Cantidad: <? echo $_SESSION['pend_total']=$cant_guias;?></a>
					<?
						echo '</div></td></tr>';
					}
				}else{
					$rst_select=$this->conexionObj->consultar("SELECT s.nombre, s.nit ".
					"FROM sucursales as s WHERE s.id_sucursal='".$id_suc."'");
					$tomar_planilla=mysql_fetch_array($rst_select);
					$nombre=$tomar_planilla[0];
					$cc=$tomar_planilla[1];
					echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
					<b>NIT SUCURSAL: </b> '.$cc.'</div></td></tr>';
					echo '<tr class=miTable_tr>
					<td class=miTable_td><div align="center">
					<b>NOMBRE SUCURSAL: </b> '.$nombre.'</div></td></tr>';
					$i++;
					echo '<tr class=miTable_tr>';
					echo '<td class=miTable_td><div align="center">Total Pendientes '.$cant_filas;
					echo '</div></td></tr>';
				}
				echo '<tr class=miTable_tr>';
				echo '<td class=miTable_th1><div align="center"></div></td></tr></table></center>';
		}else{
					$msgBOX2 = "Debe escoger el rango de fechas.";
					echo "<script>
	             	alert('$msgBOX2');
	  		  	    </script>";
		}		
	}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearSucursalObj=new crearSucursal();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
// LAMANDO EL METODO DE NEGOCIO
$crearSucursalObj->validar($_POST['id_suc'],$_POST['tabla'],$_POST['f1'],$_POST['f2'],$_POST['orig']);
}
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center>
</td><?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>